Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv30_routines.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv30_routines.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv30_routines.F90	(revision 5117)
@@ -3292,5 +3292,5 @@
            CALL iso_verif_noNaN(xtp(ixt,il,i),'cv3unsat 2641')
            enddo !do ixt=1,niso
-           if (iso_eau.gt.0) THEN
+           IF (iso_eau.gt.0) THEN
 !             WRITE(*,*) 'xtp(iso_eau,il,i)=',xtp(iso_eau,il,i)
              CALL iso_verif_egalite_choix(xtp(iso_eau,il,i),rp(il,i), &
@@ -3299,8 +3299,8 @@
                   rs(il,i),'cv3unsat 2654',errmax,errmaxrel)
            endif  
-           if ((iso_HDO.gt.0).and. &
+           IF ((iso_HDO.gt.0).AND. &
                  (rp(il,i).gt.ridicule)) THEN
-             if (iso_verif_aberrant_nostop(xtp(iso_HDO,il,i)/rp(il,i), &
-                        'cv3unsat 2658').eq.1) THEN
+             IF (iso_verif_aberrant_nostop(xtp(iso_HDO,il,i)/rp(il,i), &
+                        'cv3unsat 2658').EQ.1) THEN
                 WRITE(*,*) 'rpprec(il,i),rs(il,i),rp(il,i)=', &
                          rpprec(il,i),rs(il,i),rp(il,i)
@@ -3327,5 +3327,5 @@
       do i=1,nl !nl
         do il=1,ncum
-        if (iso_eau.gt.0) THEN
+        IF (iso_eau.gt.0) THEN
 !            WRITE(*,*) 'cv30_routines 2767:i,il,lwork(il),inb(il)=',
 !     :           i,il,lwork(il),inb(il)
@@ -3342,5 +3342,5 @@
 !        if (iso_verif_traceur_choix_nostop(xtwater(1,il,i),
 !     :       'cv30_routine 2982 unsat',errmax,
-!     :       errmaxrel,ridicule_trac,deltalimtrac).eq.1) THEN
+!     :       errmaxrel,ridicule_trac,deltalimtrac).EQ.1) THEN
 !              WRITE(*,*) 'il,i,inb(il),lwork(il)=',
 !     :           il,i,inb(il),lwork(il)
@@ -3376,8 +3376,8 @@
                           )
 #ifdef ISO
-    use infotrac_phy, ONLY: ntraciso=>ntiso, niso, nzone, itZonIso
-    use isotopes_mod, ONLY: essai_convergence,ridicule,iso_eau,iso_HDO,iso_O18
-#ifdef ISOVERIF
-    use isotopes_verif_mod, ONLY: errmax,errmaxrel, &
+    USE infotrac_phy, ONLY: ntraciso=>ntiso, niso, nzone, itZonIso
+    USE isotopes_mod, ONLY: essai_convergence,ridicule,iso_eau,iso_HDO,iso_O18
+#ifdef ISOVERIF
+    USE isotopes_verif_mod, ONLY: errmax,errmaxrel, &
         iso_verif_egalite_choix, iso_verif_noNaN,iso_verif_aberrant, &
         iso_verif_egalite,iso_verif_egalite_choix_nostop,iso_verif_positif_nostop, &
@@ -3388,10 +3388,10 @@
 #endif
 #ifdef ISOTRAC
-        use isotrac_mod, ONLY: option_traceurs, &
+        USE isotrac_mod, ONLY: option_traceurs, &
         izone_revap,izone_poubelle,izone_ddft
 #ifdef ISOVERIF
-    use isotopes_verif_mod, ONLY: iso_verif_traceur_choix_nostop,deltalimtrac, &
+    USE isotopes_verif_mod, ONLY: iso_verif_traceur_choix_nostop,deltalimtrac, &
 &       iso_verif_tracpos_choix_nostop,iso_verif_traceur,iso_verif_traceur_justmass
-    use isotrac_mod, ONLY: ridicule_trac
+    USE isotrac_mod, ONLY: ridicule_trac
 #endif
 #endif
@@ -3424,9 +3424,9 @@
   REAL tv(nloc, nd), tvp(nloc, nd)
 #ifdef ISO
-      real xt(ntraciso,nloc,nd)
+      REAL xt(ntraciso,nloc,nd)
 !      real xtep(ntraciso,nloc,na) ! le 7 mai: on supprime xtep
-      real xtclw(ntraciso,nloc,na), xtp(ntraciso,nloc,na)
-      real xtwater(ntraciso,nloc,na), xtevap(ntraciso,nloc,na)
-      real xtent(ntraciso,nloc,na,na), xtelij(ntraciso,nloc,na,na)
+      REAL xtclw(ntraciso,nloc,na), xtp(ntraciso,nloc,na)
+      REAL xtwater(ntraciso,nloc,na), xtevap(ntraciso,nloc,na)
+      REAL xtent(ntraciso,nloc,na,na), xtelij(ntraciso,nloc,na,na)
 #ifdef ISOVERIF      
       CHARACTER (LEN=20) :: modname='cv30_compress'
@@ -3449,6 +3449,6 @@
   REAL wd(nloc) ! gust
 #ifdef ISO
-      real xtprecip(ntraciso,nloc), fxt(ntraciso,nloc,nd)
-      real xtVprecip(ntraciso,nloc,nd+1)
+      REAL xtprecip(ntraciso,nloc), fxt(ntraciso,nloc,nd)
+      REAL xtVprecip(ntraciso,nloc,nd+1)
 #endif
 
@@ -3466,12 +3466,12 @@
   REAL siga(nloc, nd), sax(nloc, nd), mac(nloc, nd) ! cld
 #ifdef ISO
-      integer ixt
-      real xtbx(ntraciso), xtawat(ntraciso)
+      INTEGER ixt
+      REAL xtbx(ntraciso), xtawat(ntraciso)
       ! cam debug
       ! pour l'homogeneisation sous le nuage:
-      real frsum(nloc), bxtsum(ntraciso,nloc), fxtsum(ntraciso,nloc)
+      REAL frsum(nloc), bxtsum(ntraciso,nloc), fxtsum(ntraciso,nloc)
       ! correction dans calcul tendance liee a Am:
-      real dq_tmp,k_tmp,dx_tmp,R_tmp,dqreste_tmp,dxreste_tmp,kad_tmp
-      logical correction_excess_aberrant
+      REAL dq_tmp,k_tmp,dx_tmp,R_tmp,dqreste_tmp,dxreste_tmp,kad_tmp
+      LOGICAL correction_excess_aberrant
       parameter (correction_excess_aberrant=.FALSE.)
         ! correction qui permettait d'eviter deltas et dexcess aberrants. Mais
@@ -3479,15 +3479,15 @@
 #ifdef DIAGISO
         ! diagnostiques juste: tendance des differents processus
-      real fxt_detrainement(ntraciso,nloc,nd)
-      real fxt_fluxmasse(ntraciso,nloc,nd)
-      real fxt_evapprecip(ntraciso,nloc,nd)
-      real fxt_ddft(ntraciso,nloc,nd)
-      real fq_detrainement(nloc,nd)
-      real q_detrainement(nloc,nd)
-      real xt_detrainement(ntraciso,nloc,nd)
-      real f_detrainement(nloc,nd)
-      real fq_fluxmasse(nloc,nd)
-      real fq_evapprecip(nloc,nd)
-      real fq_ddft(nloc,nd)
+      REAL fxt_detrainement(ntraciso,nloc,nd)
+      REAL fxt_fluxmasse(ntraciso,nloc,nd)
+      REAL fxt_evapprecip(ntraciso,nloc,nd)
+      REAL fxt_ddft(ntraciso,nloc,nd)
+      REAL fq_detrainement(nloc,nd)
+      REAL q_detrainement(nloc,nd)
+      REAL xt_detrainement(ntraciso,nloc,nd)
+      REAL f_detrainement(nloc,nd)
+      REAL fq_fluxmasse(nloc,nd)
+      REAL fq_evapprecip(nloc,nd)
+      REAL fq_ddft(nloc,nd)
 #endif      
 !#ifdef ISOVERIF
@@ -3498,13 +3498,13 @@
 !      integer iso_verif_traceur_choix_nostop
 !      integer iso_verif_tracpos_choix_nostop
-      real xtnew(ntraciso)
+      REAL xtnew(ntraciso)
 !      real conversion(niso)
-      real fxtYe(niso)
-      real fxtqe(niso)
-      real fxtXe(niso)
-      real fxt_revap(niso)
-      real Xe(niso)
-      integer ixt_revap,izone
-      integer ixt_poubelle, ixt_ddft,iiso 
+      REAL fxtYe(niso)
+      REAL fxtqe(niso)
+      REAL fxtXe(niso)
+      REAL fxt_revap(niso)
+      REAL Xe(niso)
+      INTEGER ixt_revap,izone
+      INTEGER ixt_poubelle, ixt_ddft,iiso
 #endif
 #endif
@@ -3596,5 +3596,5 @@
          ! cam verif
 #ifdef ISOVERIF
-          if (iso_eau.gt.0) THEN
+          IF (iso_eau.gt.0) THEN
 !              WRITE(*,*) 'cv30_yield 2952: '//
 !     :           'il,water(il,1),xtwater(iso_eau,il,1)='
@@ -3612,7 +3612,7 @@
         CALL iso_verif_traceur(xtwater(1,il,1), &
              'cv30_routine 3146')
-        if (iso_verif_traceur_choix_nostop(xtprecip(1,il), &
+        IF (iso_verif_traceur_choix_nostop(xtprecip(1,il), &
                  'cv30_routine 3147',errmax*1e2, &
-             errmaxrel,ridicule_trac,deltalimtrac).eq.1) THEN
+             errmaxrel,ridicule_trac,deltalimtrac).EQ.1) THEN
           WRITE(*,*) 'il,inb(il)=',il,inb(il)
           WRITE(*,*) 'xtwater(:,il,1)=',xtwater(:,il,1)
@@ -3633,5 +3633,5 @@
          ! cam verif
 #ifdef ISOVERIF          
-          if (iso_eau.gt.0) THEN
+          IF (iso_eau.gt.0) THEN
               CALL iso_verif_egalite_choix(xtprecip(iso_eau,il), &
                  precip(il),'cv30_routines 3139', &
@@ -3795,5 +3795,5 @@
         ! calcule R_tmp.
         dq_tmp=0.01*grav*am(il)*(rr(il,2)-rr(il,1))*work(il)*delt ! utile ci-dessous
-        if ((dq_tmp/rr(il,1).lt.-0.9).and.correction_excess_aberrant) THEN
+        IF ((dq_tmp/rr(il,1).lt.-0.9).AND.correction_excess_aberrant) THEN
                 ! nouvelle formulation ou on fait d'abord entrer k*q2 et ensuite
                 ! seulement on fait sortir k*q1 sans changement de composition
@@ -3810,5 +3810,5 @@
                        + dx_tmp/delt
 #ifdef ISOVERIF
-                if (ixt.eq.iso_HDO) THEN
+                IF (ixt.EQ.iso_HDO) THEN
                 WRITE(*,*) 'cv30_routines 3888: il=',il
                 WRITE(*,*) 'dq_tmp,rr(il,1)=',dq_tmp,rr(il,1)
@@ -3824,8 +3824,8 @@
                 WRITE(*,*) 'formule classique: fxt_Am=',0.01*grav*am(il)*(xt(ixt,il,2)-xt(ixt,il,1))*work(il)
                 WRITE(*,*) 'donnerait dxt=',0.01*grav*am(il)*(xt(ixt,il,2)-xt(ixt,il,1))*work(il)*delt
-                endif !if (ixt.eq.iso_HDO) THEN
+                endif !if (ixt.EQ.iso_HDO) THEN
 #endif
 #ifdef DIAGISO
-                if (ixt.le.niso) THEN
+                IF (ixt.le.niso) THEN
                         fxt_fluxmasse(ixt,il,1)=fxt_fluxmasse(ixt,il,1) &
                        + dx_tmp/delt
@@ -3840,5 +3840,5 @@
              +0.01*grav*am(il)*(xt(ixt,il,2)-xt(ixt,il,1))*work(il)
 #ifdef DIAGISO
-                if (ixt.le.niso) THEN
+                IF (ixt.le.niso) THEN
                 fxt_fluxmasse(ixt,il,1)=fxt_fluxmasse(ixt,il,1) &
             +0.01*grav*am(il)*(xt(ixt,il,2)-xt(ixt,il,1))*work(il)
@@ -3849,5 +3849,5 @@
        ! cam verif
 #ifdef ISOVERIF
-          if (iso_eau.gt.0) THEN
+          IF (iso_eau.gt.0) THEN
               CALL iso_verif_egalite_choix(fxt(iso_eau,il,1), &
                  fr(il,1),'cv30_routines 3251', &
@@ -3855,9 +3855,9 @@
           endif !if (iso_eau.gt.0) THEN
           !WRITE(*,*) 'il,am(il)=',il,am(il)
-          if ((iso_HDO.gt.0).and. &
+          IF ((iso_HDO.gt.0).AND. &
                  (rr(il,1)+delt*fr(il,1).gt.ridicule)) THEN
-            if (iso_verif_aberrant_enc_nostop((xt(iso_HDO,il,1) &
+            IF (iso_verif_aberrant_enc_nostop((xt(iso_HDO,il,1) &
               +delt*fxt(iso_HDO,il,1))/(rr(il,1)+delt*fr(il,1)), &
-                 'cv30_yield 3125, ddft en 1').eq.1) THEN
+                 'cv30_yield 3125, ddft en 1').EQ.1) THEN
                 WRITE(*,*) 'il,rr(il,1),delt=',il,rr(il,1),delt
                 WRITE(*,*) 'deltaDxt=',deltaD(xt(iso_HDO,il,1)/rr(il,1))
@@ -3881,6 +3881,6 @@
           xtnew(ixt)=xt(ixt,il,1)+delt*fxt(ixt,il,1)
         enddo
-        if (iso_verif_tracpos_choix_nostop(xtnew,'cv30_yield 3395',1e-5) &
-                 .eq.1) THEN
+        IF (iso_verif_tracpos_choix_nostop(xtnew,'cv30_yield 3395',1e-5) &
+                 .EQ.1) THEN
               WRITE(*,*) 'il=',il
               WRITE(*,*) 'delt,fxt(:,il,1)=',delt,fxt(:,il,1)
@@ -3943,10 +3943,10 @@
        ! cam verif
 #ifdef ISOVERIF         
-         if (iso_eau.gt.0) THEN
+         IF (iso_eau.gt.0) THEN
               CALL iso_verif_egalite_choix(fxt(iso_eau,il,1), &
                  fr(il,1),'cv30_routines 3023', &
                  errmax,errmaxrel)
           endif !if (iso_eau.gt.0) THEN
-          if ((iso_HDO.gt.0).and. &
+          IF ((iso_HDO.gt.0).AND. &
                  (rr(il,1)+delt*fr(il,1).gt.ridicule)) THEN
            CALL iso_verif_aberrant_encadre((xt(iso_HDO,il,1) &
@@ -3961,7 +3961,7 @@
           xtnew(ixt)=xt(ixt,il,1)+delt*fxt(ixt,il,1)
         enddo
-        if (iso_verif_tracpos_choix_nostop(xtnew, &
+        IF (iso_verif_tracpos_choix_nostop(xtnew, &
                  'cv30_yield 3449',1e-5) &
-                 .eq.1) THEN
+                 .EQ.1) THEN
               WRITE(*,*) 'il=',il
               WRITE(*,*) 'delt,fxt(:,il,1)=',delt,fxt(:,il,1)
@@ -3991,5 +3991,5 @@
   ! :                     *(mp(il,2)*(trap(il,2,j)-tra(il,1,j))
   ! :             +am(il)*(tra(il,2,j)-tra(il,1,j)))
-  ! endif
+  ! END IF
   ! enddo
   ! enddo
@@ -4029,9 +4029,9 @@
        ! cam verif
 #ifdef ISOVERIF
-          if (iso_eau.gt.0) THEN
+          IF (iso_eau.gt.0) THEN
               CALL iso_verif_egalite_choix(fxt(iso_eau,il,1), &
                  fr(il,1),'cv30_routines 3251',errmax,errmaxrel)
           endif !if (iso_eau.gt.0) THEN
-          if ((iso_HDO.gt.0).and. &
+          IF ((iso_HDO.gt.0).AND. &
                  (rr(il,1)+delt*fr(il,1).gt.ridicule)) THEN
            CALL iso_verif_aberrant_encadre((xt(iso_HDO,il,1) &
@@ -4044,6 +4044,6 @@
           xtnew(ixt)=xt(ixt,il,1)+delt*fxt(ixt,il,1)
         enddo
-        if (iso_verif_tracpos_choix_nostop(xtnew,'cv30_yield 3525',1e-5) &
-                 .eq.1) THEN
+        IF (iso_verif_tracpos_choix_nostop(xtnew,'cv30_yield 3525',1e-5) &
+                 .EQ.1) THEN
               WRITE(*,*) 'il=',il
               WRITE(*,*) 'delt,fxt(:,il,1)=',delt,fxt(:,il,1)
@@ -4089,9 +4089,9 @@
        ! cam verif
 #ifdef ISOVERIF
-          if (iso_eau.gt.0) THEN
+          IF (iso_eau.gt.0) THEN
               CALL iso_verif_egalite_choix(fxt(iso_eau,il,1), &
                  fr(il,1),'cv30_routines 3092',errmax,errmaxrel)
           endif !if (iso_eau.gt.0) THEN
-          if ((iso_HDO.gt.0).and. &
+          IF ((iso_HDO.gt.0).AND. &
                  (rr(il,1)+delt*fr(il,1).gt.ridicule)) THEN
            CALL iso_verif_aberrant_encadre((xt(iso_HDO,il,1) &
@@ -4104,6 +4104,6 @@
           xtnew(ixt)=xt(ixt,il,1)+delt*fxt(ixt,il,1)
         enddo
-        if (iso_verif_tracpos_choix_nostop(xtnew,'cv30_yield 3753',1e-5) &
-                 .eq.1) THEN
+        IF (iso_verif_tracpos_choix_nostop(xtnew,'cv30_yield 3753',1e-5) &
+                 .EQ.1) THEN
               WRITE(*,*) 'il=',il
         endif
@@ -4128,7 +4128,7 @@
   ! ftra(il,1,k)=ftra(il,1,k)+0.1*work(il)*ment(il,j,1)
   ! :                *(traent(il,j,1,k)-tra(il,1,k))
-  ! endif
-
-  ! endif
+  ! END IF
+
+  ! END IF
   ! enddo
   ! enddo
@@ -4245,5 +4245,5 @@
                  -ad(il)*(rr(il,i)-rr(il,i-1)))*delt
        ! c'est equivalent a dqi= kamp1*qip1+kad*qim1-(kamp1+kad)*qi
-       if ((dq_tmp/rr(il,i).lt.-0.9).and.correction_excess_aberrant) THEN
+       IF ((dq_tmp/rr(il,i).lt.-0.9).AND.correction_excess_aberrant) THEN
         ! nouvelle formulation
         k_tmp=0.01*grav*dpinv*amp1(il)*delt
@@ -4255,5 +4255,5 @@
             fxt(ixt,il,i)= dx_tmp/delt
 #ifdef ISOVERIF
-                if ((ixt.eq.iso_HDO).or.(ixt.eq.iso_eau)) THEN
+                IF ((ixt.EQ.iso_HDO).OR.(ixt.EQ.iso_eau)) THEN
                 WRITE(*,*) 'cv30_routines 4367: il,i,ixt=',il,i,ixt
                 WRITE(*,*) 'dq_tmp,rr(il,i)=',dq_tmp,rr(il,i)
@@ -4268,5 +4268,5 @@
                          xt(ixt,il,i)+fxt(ixt,il,i)*delt
                 WRITE(*,*) 'fxt(:,il,i)=',fxt(:,il,i)
-                endif !if (ixt.eq.iso_HDO) THEN
+                endif !if (ixt.EQ.iso_HDO) THEN
 #endif 
         enddo ! do ixt = 1, ntraciso  
@@ -4293,5 +4293,5 @@
        ! cam verif
 #ifdef ISOVERIF
-        if (iso_eau.gt.0) THEN
+        IF (iso_eau.gt.0) THEN
               CALL iso_verif_egalite_choix(fxt(iso_eau,il,i), &
                  fr(il,i),'cv30_routines 3226',errmax,errmaxrel)
@@ -4300,5 +4300,5 @@
             CALL iso_verif_noNAN(fxt(ixt,il,i),'cv30_routines 3229')
         enddo
-        if ((iso_HDO.gt.0).and. &
+        IF ((iso_HDO.gt.0).AND. &
                  (rr(il,i)+delt*fr(il,i).gt.ridicule)) THEN
          CALL iso_verif_aberrant_encadre((xt(iso_HDO,il,i) &
@@ -4307,5 +4307,5 @@
                  'cv30_yield 3384, flux masse')
         endif !if (iso_HDO.gt.0) THEN
-        if ((iso_HDO.gt.0).and.(iso_O18.gt.0).and. &
+        IF ((iso_HDO.gt.0).AND.(iso_O18.gt.0).AND. &
                  (rr(il,i)+delt*fr(il,i).gt.ridicule)) THEN
          CALL iso_verif_O18_aberrant( &
@@ -4319,6 +4319,6 @@
           xtnew(ixt)=xt(ixt,il,i)+delt*fxt(ixt,il,i)
         enddo
-        if (iso_verif_tracpos_choix_nostop(xtnew,'cv30_yield 3727',1e-5) &
-                 .eq.1) THEN
+        IF (iso_verif_tracpos_choix_nostop(xtnew,'cv30_yield 3727',1e-5) &
+                 .EQ.1) THEN
               WRITE(*,*) 'il,i=',il,i
               WRITE(*,*) 'fxt(:,il,i)=',fxt(:,il,i)
@@ -4362,5 +4362,5 @@
        ! cam verif
 #ifdef ISOVERIF
-          if (iso_eau.gt.0) THEN
+          IF (iso_eau.gt.0) THEN
               CALL iso_verif_egalite_choix(fxt(iso_eau,il,i), &
                  fr(il,i),'cv30_routines 3252',errmax,errmaxrel)
@@ -4370,10 +4370,10 @@
           enddo
           ! correction 21 oct 2008
-          if ((iso_HDO.gt.0).and. &
+          IF ((iso_HDO.gt.0).AND. &
                  (rr(il,i)+delt*fr(il,i).gt.ridicule)) THEN
          CALL iso_verif_aberrant_encadre((xt(iso_HDO,il,i) &
              +delt*fxt(iso_HDO,il,i))/(rr(il,i)+delt*fr(il,i)), &
              'cv30_yield 3384b flux masse')
-        if (iso_O18.gt.0) THEN
+        IF (iso_O18.gt.0) THEN
           CALL iso_verif_O18_aberrant( &
                  (xt(iso_HDO,il,i)+delt*fxt(iso_HDO,il,i)) &
@@ -4389,6 +4389,6 @@
           xtnew(ixt)=xt(ixt,il,i)+delt*fxt(ixt,il,i)
         enddo
-        if (iso_verif_tracpos_choix_nostop(xtnew,'cv30_yield 3775',1e-5) &
-                 .eq.1) THEN
+        IF (iso_verif_tracpos_choix_nostop(xtnew,'cv30_yield 3775',1e-5) &
+                 .EQ.1) THEN
               WRITE(*,*) 'il,i=',il,i
         endif
@@ -4415,6 +4415,6 @@
     ! :         *(amp1(il)*(tra(il,i+1,k)-tra(il,i,k))
     ! :           -ad(il)*(tra(il,i,k)-tra(il,i-1,k)))
-    ! endif
-    ! endif
+    ! END IF
+    ! END IF
     ! enddo
     ! enddo
@@ -4439,5 +4439,5 @@
         ! ce surplus a la meme compo que le elij, sans fractionnement.
         ! d'ou le nouveau traitement ci-dessous.
-      if (elij(il,k,i).gt.0.0) THEN
+      IF (elij(il,k,i).gt.0.0) THEN
         do ixt = 1, ntraciso
           xtawat(ixt)=awat*(xtelij(ixt,il,k,i)/elij(il,k,i))
@@ -4457,5 +4457,5 @@
       ! cam verif
 #ifdef ISOVERIF
-          if (iso_eau.gt.0) THEN
+          IF (iso_eau.gt.0) THEN
               CALL iso_verif_egalite_choix(xtawat(iso_eau), &
                  awat,'cv30_routines 3301',errmax,errmaxrel)
@@ -4501,5 +4501,5 @@
       ! cam verif
 #ifdef ISOVERIF
-        if (iso_eau.gt.0) THEN
+        IF (iso_eau.gt.0) THEN
               CALL iso_verif_egalite_choix(fxt(iso_eau,il,i), &
                  fr(il,i),'cv30_routines 3325',errmax,errmaxrel)
@@ -4508,10 +4508,10 @@
             CALL iso_verif_noNAN(fxt(ixt,il,i),'cv30_routines 3328')
         enddo
-        if ((iso_HDO.gt.0).and. &
+        IF ((iso_HDO.gt.0).AND. &
                  (rr(il,i)+delt*fr(il,i).gt.ridicule)) THEN
-        if (iso_verif_aberrant_enc_nostop((xt(iso_HDO,il,i) &
+        IF (iso_verif_aberrant_enc_nostop((xt(iso_HDO,il,i) &
                  +delt*fxt(iso_HDO,il,i)) &
                  /(rr(il,i)+delt*fr(il,i)),'cv30_yield 3396a, dtr mels') &
-                 .eq.1) THEN
+                 .EQ.1) THEN
            WRITE(*,*) 'il,k,i=',il,k,i
            WRITE(*,*) 'rr,delt,fr=',rr(il,i),delt,fr(il,i)
@@ -4536,5 +4536,5 @@
 !           stop
         endif
-        if (iso_O18.gt.0) THEN
+        IF (iso_O18.gt.0) THEN
           CALL iso_verif_O18_aberrant( &
                  (xt(iso_HDO,il,i)+delt*fxt(iso_HDO,il,i)) &
@@ -4550,6 +4550,6 @@
           xtnew(ixt)=xt(ixt,il,i)+delt*fxt(ixt,il,i)
         enddo
-        if (iso_verif_tracpos_choix_nostop(xtnew,'cv30_yield 3905',1e-5) &
-                 .eq.1) THEN
+        IF (iso_verif_tracpos_choix_nostop(xtnew,'cv30_yield 3905',1e-5) &
+                 .EQ.1) THEN
               WRITE(*,*) 'il,i=',il,i
          endif
@@ -4591,5 +4591,5 @@
       ! cam verif
 #ifdef ISOVERIF
-        if (iso_eau.gt.0) THEN
+        IF (iso_eau.gt.0) THEN
               CALL iso_verif_egalite_choix(fxt(iso_eau,il,i), &
                  fr(il,i),'cv30_routines 3350',errmax,errmaxrel)
@@ -4598,5 +4598,5 @@
             CALL iso_verif_noNAN(fxt(ixt,il,i),'cv30_routines 3353')
         enddo
-        if ((iso_HDO.gt.0).and. &
+        IF ((iso_HDO.gt.0).AND. &
                  (rr(il,i)+delt*fr(il,i).gt.ridicule)) THEN
          CALL iso_verif_aberrant_encadre((xt(iso_HDO,il,i) &
@@ -4604,5 +4604,5 @@
                  /(rr(il,i)+delt*fr(il,i)),'cv30_yield 3396b, dtr mels')
         endif !if (iso_HDO.gt.0) THEN
-        if ((iso_HDO.gt.0).and.(iso_O18.gt.0).and. &
+        IF ((iso_HDO.gt.0).AND.(iso_O18.gt.0).AND. &
                  (rr(il,i)+delt*fr(il,i).gt.ridicule)) THEN
          CALL iso_verif_O18_aberrant( &
@@ -4616,6 +4616,6 @@
           xtnew(ixt)=xt(ixt,il,i)+delt*fxt(ixt,il,i)
         enddo
-        if (iso_verif_tracpos_choix_nostop(xtnew,'cv30_yield 3949',1e-5) &
-                 .eq.1) THEN
+        IF (iso_verif_tracpos_choix_nostop(xtnew,'cv30_yield 3949',1e-5) &
+                 .EQ.1) THEN
               WRITE(*,*) 'il,i=',il,i
          endif
@@ -4647,6 +4647,6 @@
     ! ftra(il,i,j)=ftra(il,i,j)+0.1*dpinv*ment(il,k,i)
     ! :        *(traent(il,k,i,j)-tra(il,i,j))
-    ! endif
-    ! endif
+    ! END IF
+    ! END IF
     ! enddo
     ! enddo
@@ -4689,5 +4689,5 @@
        ! cam verif
 #ifdef ISOVERIF
-        if ((il.eq.1636).and.(i.eq.9)) THEN
+        IF ((il.EQ.1636).AND.(i.EQ.9)) THEN
                 WRITE(*,*) 'cv30 4785: on ajoute le dtr ici:'
                 WRITE(*,*) 'M=',0.01*grav*dpinv*ment(il, k, i)
@@ -4703,5 +4703,5 @@
 #endif        
 #ifdef ISOVERIF
-        if (iso_eau.gt.0) THEN
+        IF (iso_eau.gt.0) THEN
               CALL iso_verif_egalite_choix(fxt(iso_eau,il,i), &
                  fr(il,i),'cv30_routines 3408',errmax,errmaxrel)
@@ -4710,9 +4710,9 @@
             CALL iso_verif_noNAN(fxt(ixt,il,i),'cv30_routines 3411')
         enddo
-        if (1.eq.0) THEN
-        if ((iso_HDO.gt.0).and.(delt*fr(il,i).gt.ridicule)) THEN
-              if (iso_verif_aberrant_enc_nostop( &
+        IF (1.EQ.0) THEN
+        IF ((iso_HDO.gt.0).AND.(delt*fr(il,i).gt.ridicule)) THEN
+              IF (iso_verif_aberrant_enc_nostop( &
                  fxt(iso_HDO,il,i)/fr(il,i), &
-                 'cv30_yield 3572, dtr mels').eq.1) THEN
+                 'cv30_yield 3572, dtr mels').EQ.1) THEN
                 WRITE(*,*) 'i,icb(il),inb(il)=',i,icb(il),inb(il)
                 WRITE(*,*) 'fr(il,i)=',fr(il,i)
@@ -4722,11 +4722,11 @@
                endif
         endif !if (iso_HDO.gt.0) THEN
-        endif !if (1.eq.0) THEN
-        if ((iso_HDO.gt.0).and. &
+        endif !if (1.EQ.0) THEN
+        IF ((iso_HDO.gt.0).AND. &
                  (rr(il,i)+delt*fr(il,i).gt.ridicule)) THEN
          CALL iso_verif_aberrant_encadre((xt(iso_HDO,il,i) &
                  +delt*fxt(iso_HDO,il,i)) &
                  /(rr(il,i)+delt*fr(il,i)),'cv30_yield 3605, dtr mels')
-        if (iso_O18.gt.0) THEN
+        IF (iso_O18.gt.0) THEN
           CALL iso_verif_O18_aberrant( &
                  (xt(iso_HDO,il,i)+delt*fxt(iso_HDO,il,i)) &
@@ -4735,5 +4735,5 @@
                  /(rr(il,i)+delt*fr(il,i)), &
                  'cv30_yield 3605O18, dtr mels')
-          if ((il.eq.1636).and.(i.eq.9)) THEN
+          IF ((il.EQ.1636).AND.(i.EQ.9)) THEN
           CALL iso_verif_O18_aberrant( &
                  (xt(iso_HDO,il,i)+delt*(fxt(iso_HDO,il,i)-xtbx(iso_HDO))) &
@@ -4742,5 +4742,5 @@
                  /(rr(il,i)+delt*(fr(il,i)-bx)), &
                  'cv30_yield 3605O18_nobx, dtr mels')
-           endif !if ((il.eq.1636).and.(i.eq.9)) THEN
+           endif !if ((il.EQ.1636).AND.(i.EQ.9)) THEN
         endif !if (iso_O18.gt.0) THEN
         endif !if (iso_HDO.gt.0) THEN
@@ -4750,6 +4750,6 @@
           xtnew(ixt)=xt(ixt,il,i)+delt*fxt(ixt,il,i)
         enddo
-        if (iso_verif_tracpos_choix_nostop(xtnew,'cv30_yield 4036',1e-5) &
-                 .eq.1) THEN
+        IF (iso_verif_tracpos_choix_nostop(xtnew,'cv30_yield 4036',1e-5) &
+                 .EQ.1) THEN
               WRITE(*,*) 'il,i=',il,i
          endif
@@ -4790,10 +4790,10 @@
        ! cam verif
 #ifdef ISOVERIF
-          if ((il.eq.1636).and.(i.eq.9)) THEN
+          IF ((il.EQ.1636).AND.(i.EQ.9)) THEN
                 WRITE(*,*) 'cv30 4785b: on ajoute le dtr ici:'
                 WRITE(*,*) 'M=',0.1*dpinv*ment(il, k, i)
                 WRITE(*,*) 'q,qe=',rr(il,i),qent(il,k,i)
           endif
-          if (iso_eau.gt.0) THEN
+          IF (iso_eau.gt.0) THEN
               CALL iso_verif_egalite_choix(fxt(iso_eau,il,i), &
                  fr(il,i),'cv30_routines 3433',errmax,errmaxrel)
@@ -4802,13 +4802,13 @@
             CALL iso_verif_noNAN(fxt(ixt,il,i),'cv30_routines 3436')
           enddo
-          if ((iso_HDO.gt.0).and.(delt*fr(il,i).gt.ridicule)) THEN
-              if (iso_verif_aberrant_enc_nostop( &
+          IF ((iso_HDO.gt.0).AND.(delt*fr(il,i).gt.ridicule)) THEN
+              IF (iso_verif_aberrant_enc_nostop( &
                  fxt(iso_HDO,il,i)/fr(il,i), &
-                 'cv30_yield 3597').eq.1) THEN
+                 'cv30_yield 3597').EQ.1) THEN
                 WRITE(*,*) 'i,icb(il),inb(il)=',i,icb(il),inb(il)
                 stop
                endif
           endif !if (iso_HDO.gt.0) THEN
-          if ((iso_HDO.gt.0).and. &
+          IF ((iso_HDO.gt.0).AND. &
                  (rr(il,i)+delt*fr(il,i).gt.ridicule)) THEN
            CALL iso_verif_aberrant_encadre((xt(iso_HDO,il,i) &
@@ -4821,6 +4821,6 @@
           xtnew(ixt)=xt(ixt,il,i)+delt*fxt(ixt,il,i)
         enddo
-        if (iso_verif_tracpos_choix_nostop(xtnew,'cv30_yield 4091',1e-5) &
-                 .eq.1) THEN
+        IF (iso_verif_tracpos_choix_nostop(xtnew,'cv30_yield 4091',1e-5) &
+                 .EQ.1) THEN
               WRITE(*,*) 'il,i=',il,i
          endif
@@ -4838,5 +4838,5 @@
     ! do k=i,nl+1
     ! do il=1,ncum
-    ! if (i.le.inb(il) .and. k.le.inb(il)) THEN
+    ! if (i.le.inb(il) .AND. k.le.inb(il)) THEN
     ! dpinv=1.0/(ph(il,i)-ph(il,i+1))
     ! cpinv=1.0/cpn(il,i)
@@ -4847,6 +4847,6 @@
     ! ftra(il,i,j)=ftra(il,i,j)+0.1*dpinv*ment(il,k,i)
     ! :             *(traent(il,k,i,j)-tra(il,i,j))
-    ! endif
-    ! endif ! i and k
+    ! END IF
+    ! END IF ! i and k
     ! enddo
     ! enddo
@@ -4898,25 +4898,25 @@
            CALL iso_verif_noNaN(fxt(ixt,il,i),'cv30_yield 4515')
         enddo
-        if ((iso_HDO.gt.0).and. &
+        IF ((iso_HDO.gt.0).AND. &
                  (rr(il,i)+delt*fr(il,i).gt.ridicule)) THEN
-        if (iso_verif_aberrant_enc_nostop((xt(iso_HDO,il,i) &
+        IF (iso_verif_aberrant_enc_nostop((xt(iso_HDO,il,i) &
                  +delt*fxt(iso_HDO,il,i)) &
                  /(rr(il,i)+delt*fr(il,i)),'cv30_yield 4175') &
-                 .eq.1) THEN
+                 .EQ.1) THEN
         WRITE(*,*) 'il,i=',il,i
-        if (rr(il,i).ne.0.0) THEN
+        IF (rr(il,i).NE.0.0) THEN
         WRITE(*,*) 'il,i,rr,deltaD=',il,i,rr(il,i),deltaD &
                  (xt(iso_HDO,il,i)/rr(il,i))
         endif
-        if (fr(il,i).ne.0.0) THEN
+        IF (fr(il,i).NE.0.0) THEN
         WRITE(*,*) 'fr,fxt,deltaD=',fr(il,i),fxt(iso_HDO,il,i), &
                  deltaD(fxt(iso_HDO,il,i)/fr(il,i))
         endif
 #ifdef DIAGISO        
-        if (fq_ddft(il,i).ne.0.0) THEN
+        IF (fq_ddft(il,i).NE.0.0) THEN
         WRITE(*,*) 'fq_ddft,deltaD=',fq_ddft(il,i),deltaD( &
                  fxt_ddft(iso_HDO,il,i)/fq_ddft(il,i))
         endif
-        if (fq_evapprecip(il,i).ne.0.0) THEN
+        IF (fq_evapprecip(il,i).NE.0.0) THEN
         WRITE(*,*) 'fq_evapprecip,deltaD=',fq_evapprecip(il,i),deltaD( &
                  fxt_evapprecip(iso_HDO,il,i)/fq_evapprecip(il,i))
@@ -4937,5 +4937,5 @@
         endif
         endif !if (iso_HDO.gt.0) THEN
-        if ((iso_HDO.gt.0).and.(iso_O18.gt.0).and. &
+        IF ((iso_HDO.gt.0).AND.(iso_O18.gt.0).AND. &
                  (rr(il,i)+delt*fr(il,i).gt.ridicule)) THEN
          CALL iso_verif_O18_aberrant( &
@@ -4943,5 +4943,5 @@
              (xt(iso_O18,il,i)+delt*fxt(iso_O18,il,i))/(rr(il,i)+delt*fr(il,i)), &
              'cv30_yield 5029,O18, evap')
-          if ((il.eq.1636).and.(i.eq.9)) THEN
+          IF ((il.EQ.1636).AND.(i.EQ.9)) THEN
             WRITE(*,*) 'cv30_yield 5057: ici, on verifie deltaD_nobx'
             WRITE(*,*) 'il,i=',il,i
@@ -4958,10 +4958,10 @@
                  /(rr(il,i)+delt*(fr(il,i)-bx)), &
                 'cv30_yield 5029_nobx,O18, evap, no bx')
-          endif !if ((il.eq.1636).and.(i.eq.9)) THEN
+          endif !if ((il.EQ.1636).AND.(i.EQ.9)) THEN
           endif !if (iso_HDO.gt.0) THEN
 #endif
 
 #ifdef ISOTRAC
-        if ((option_traceurs.ne.6).and.(option_traceurs.ne.19)) THEN
+        IF ((option_traceurs.NE.6).AND.(option_traceurs.NE.19)) THEN
             ! facile: on fait comme l'eau
             do ixt = 1+niso,ntraciso
@@ -5001,9 +5001,9 @@
 !        WRITE(*,*) 'tmp cv3_yield 4165: i,il=',i,il
 
-        if (option_traceurs.eq.6) THEN
+        IF (option_traceurs.EQ.6) THEN
           do iiso = 1, niso
              
              ixt_ddft=itZonIso(izone_ddft,iiso)  
-             if (mp(il,i).gt.mp(il,i+1)) THEN
+             IF (mp(il,i).gt.mp(il,i+1)) THEN
                 fxtYe(iiso)=0.01*grav*dpinv*mp(il,i) &
                  *(xt(ixt_ddft,il,i-1)-xt(ixt_ddft,il,i))
@@ -5023,6 +5023,6 @@
          enddo !do iiso = 1, niso
 
-         else !if (option_traceurs.eq.6) THEN
-            if (mp(il,i).gt.mp(il,i+1)) THEN
+         else !if (option_traceurs.EQ.6) THEN
+            IF (mp(il,i).gt.mp(il,i+1)) THEN
                 ! cas entrainant: faire attention
                 
@@ -5047,12 +5047,12 @@
                 Xe(iiso)=xt(iiso,il,i) &
                          -xt(ixt_ddft,il,i)-xt(ixt_revap,il,i)
-                if (Xe(iiso).gt.ridicule) THEN
+                IF (Xe(iiso).gt.ridicule) THEN
                   do izone=1,nzone
-                   if ((izone.ne.izone_revap).and. &
-                         (izone.ne.izone_ddft)) THEN
+                   IF ((izone.NE.izone_revap).AND. &
+                         (izone.NE.izone_ddft)) THEN
                     ixt=itZonIso(izone,iiso) 
                     fxt(ixt,il,i)=fxt(ixt,il,i) &
                          +xt(ixt,il,i)/Xe(iiso)*fxtXe(iiso)
-                   endif !if ((izone.ne.izone_revap).and.
+                   endif !if ((izone.NE.izone_revap).AND.
                   enddo !do izone=1,nzone   
 #ifdef ISOVERIF
@@ -5071,5 +5071,5 @@
                     
 #ifdef ISOVERIF
-                if (delt*fxtXe(iiso).gt.ridicule) THEN
+                IF (delt*fxtXe(iiso).gt.ridicule) THEN
                    WRITE(*,*) 'cv30_routines 6563: delt*fxtXe(iiso)=', &
                                 delt*fxtXe(iiso)
@@ -5078,13 +5078,13 @@
 #endif                   
                 do izone=1,nzone
-                   if ((izone.ne.izone_revap).and. &
-                         (izone.ne.izone_ddft)) THEN
+                   IF ((izone.NE.izone_revap).AND. &
+                         (izone.NE.izone_ddft)) THEN
                     ixt=itZonIso(izone,iiso) 
-                    if (izone.eq.izone_poubelle) THEN
+                    IF (izone.EQ.izone_poubelle) THEN
                       fxt(ixt,il,i)=fxt(ixt,il,i)+fxtXe(iiso)
-                    else !if (izone.eq.izone_poubelle) THEN
+                    else !if (izone.EQ.izone_poubelle) THEN
                         ! pas de tendance pour ce tag la
-                    endif !if (izone.eq.izone_poubelle) THEN
-                   endif !if ((izone.ne.izone_revap).and.
+                    endif !if (izone.EQ.izone_poubelle) THEN
+                   endif !if ((izone.NE.izone_revap).AND.
                 enddo !do izone=1,nzone
 #ifdef ISOVERIF
@@ -5108,10 +5108,10 @@
 #endif                
             endif !if (mp(il,i).gt.mp(il,i+1)) THEN
-          endif !if (option_traceurs.eq.6) THEN
+          endif !if (option_traceurs.EQ.6) THEN
 !          WRITE(*,*) 'delt*conversion=',delt*conversion(iso_eau)
 !           WRITE(*,*) 'delt*fxtYe=',delt*fxtYe(iso_eau)
 !           WRITE(*,*) 'delt*fxtqe=',delt*fxtqe(iso_eau)
 
-        endif ! if ((option_traceurs.ne.6).and.(option_traceurs.ne.19)) THEN
+        endif ! if ((option_traceurs.NE.6).AND.(option_traceurs.NE.19)) THEN
 #endif
         
